SchedulerPortlet (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.client

## Class SchedulerPortlet

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.client.Common
  - - org.gcube.datatransfer.portlets.user.client.SchedulerPortlet

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint, com.google.gwt.user.client.ui.IsWidget

      public class SchedulerPortlet
      extends Common
      implements com.google.gwt.core.client.EntryPoint, com.google.gwt.user.client.ui.IsWidget

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `Common.DESTTYPE, Common.FolderToRetrieve, Common.SOURCETYPE`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `agentHostname, agentIsSelectedFromStatsPanel, agentStatProp, agentStats, agentStatsTooltip, autoId, baseDtoProp, callingManagementResult, callingManagementResultJson, callingSchedulerResult, callingWorkspaceRoot, cc1Uris, cc2Uris, closeButton, cmAgentStat, combo1, combo1Label, comboAgent, commands, commandsInGrid, currentAgentDestinationPath, currentAgentSourcePath, currentDataSourcePath, currentDataStoragePath, currentMongoDBDestinationPath, currentMongoDBSourcePath, dataSourcesList, dataStoragesList, date, dateLabel, defaultResourceName, defaultScope, defaultValuesSource, defaultValuesStorage, deleteCurrentFolder, deleteCurrentTreeSource, destCombo, destinationAnchor, destinationF, destinationFolder, destLabel, destLabelF, dialogBoxGen, east, editing, foc, focusTimer, folderDestination, folderResDestination, folderResSource, folderSource, force, forceInGrid, forTreeElementDescription, frequency, functions, gettingUserAndScope, getTransferRepeatingTimer, getTransferTimer, grid, gridAgentStats, hideSchedulerButton, idWorkspaceRoot, inputUrls, isAdmin, jsonWorkspace, lastCombo1Value, lastDestComboValue, lastSelectedAgentFolderDestName, lastSelectedAgentFolderName, lastSelectedDataSourceFolderName, lastSelectedDatastorageFolderName, lastSelectedFolderId, lastSelectedMongoDBFolderDestName, lastSelectedMongoDBFolderName, listAgentStats, listOutcomes, listTreeOutcomes, loadingIconForSource, loadingIconForTarget, loadingIconForTransfers, makeNewFolder, makeNewTreeSource, minGenHeight, minGenWidth, multiBoxAgents, multiBoxDataSources, multiBoxDataStorages, multiBoxDestinationType, multiBoxSourceType, multiBoxTreeWriteSources, neededParent, newFolderField, newTreeSourceField, outcomesProp, overwrite, panelGeneral, panels, passWorkspace, popups, portlet, printFolderString, resizeTimer, ResourceName, ResourceNameInGrid, rpCalls, schedulerService, scope, scopeInGrid, selectedAgentDestination, selectedAgentDestinationPath, selectedAgentDestinationPort, selectedAgentSource, selectedAgentSourcePath, selectedAgentSourcePort, selectedDataSourceId, selectedDatasourcePath, selectedDataStorageId, selectedDatastorageName, selectedDatastoragePath, selectedDestCollection, selectedMongoDBDestinationPath, selectedMongoDBSourcePath, sendButton, showDestinationsButton, showSchedulerButton, showSourcesButton, smAccessType, smAccessTypeSource, smOwner, smOwnerSource, smServiceClass, smServiceClassSource, smServiceName, smServiceNameSource, sourceAnchor, sourceStore, sourceTree, south, specificationLink, store, storeAgentStats, storeForUris, stringOfAgents, stringOfAgentStats, stringOfWriteSourceIDs, targetStore, targetTree, targetTreeDropTarget, time, timeLabel, toBeTransferredStore, toolbarDestF, toolbarSource, totalWidth, transferId, transferIdInGrid, transferInfoProp, treeOutcomesProp, typeOfSchedule, unzip, uriGrid, uriProp, vpListFiles, west`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.user.client.ui.Widget` | `asWidget()`
    `void` | `onModuleLoad()`
    `void` | `reDraw()`
    `void` | `redrawEast()`

    - ### Methods inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `createGridEditing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerPortlet

          public SchedulerPortlet()

  - ### Method Detail

    - #### onModuleLoad

          public void onModuleLoad()

      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

    - #### reDraw

          public void reDraw()

    - #### redrawEast

          public void redrawEast()

    - #### asWidget

          public com.google.gwt.user.client.ui.Widget asWidget()

      Specified by:
        `asWidget` in interface `com.google.gwt.user.client.ui.IsWidget`

Copyright © 2015. All Rights Reserved.